// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "PrefabParser.hpp"

namespace Dawn {
  class PrefabTool : public DawnTool {
    protected:
      std::vector<std::string> getRequiredFlags() override;
      std::map<std::string, std::string> getOptionalFlags() override;

    public:
      int32_t start();
  };

  class PrefabGen : public CodeGen {
    public:
      static void generate(
        std::vector<std::string> *out,
        struct Prefab *prefab,
        std::string tabs
      );
  };
}