// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnopengl.hpp"
#include "dawnlibs.hpp"
#include "host/DawnHost.hpp"
#include "debug/debug.hpp"

#define DAWN_VITA_WIDTH 960
#define DAWN_VITA_HEIGHT 540

namespace Dawn {
  class DawnHostData {
    void *nothing;
  };
}

/**
 * Main entry function received by parent Win32 Operating System.
 * 
 * @param argc Count of arguments passed to the program.
 * @param args Array of strings provided to the program.
 * @return 0 for success, else for any issue/error.
 */
int main(int argc, char **args);